Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Class ValueFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.jcr.value.ValueFormatException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class ValueFormatException

extends RuntimeException

A runtime exception denoting that a value could not be converted to a specific type because of the value's format.

See Also:
  Serialized Form

Constructor Summary
`ValueFormatException(Object value, PropertyType targetType)`
`ValueFormatException(Object value, PropertyType targetType, String message)`
`ValueFormatException(Object value, PropertyType targetType, String message, Throwable cause)`
`ValueFormatException(Object value, PropertyType targetType, Throwable cause)`

Method Summary
`PropertyType` | `getTargetType()` Get the `PropertyType` to which the `value` was being converted.
`Object` | `getValue()` Get the original value that was being converted.
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueFormatException

    public ValueFormatException(Object value,
                                PropertyType targetType)

Parameters:
  `value` - the value that was not able to be converted
  `targetType` - the `PropertyType` to which the value was being converted

### ValueFormatException

    public ValueFormatException(Object value,
                                PropertyType targetType,
                                String message)

Parameters:
  `value` - the value that was not able to be converted
  `targetType` - the `PropertyType` to which the value was being converted
  `message` - the message

### ValueFormatException

    public ValueFormatException(Object value,
                                PropertyType targetType,
                                Throwable cause)

Parameters:
  `value` - the value that was not able to be converted
  `targetType` - the `PropertyType` to which the value was being converted
  `cause` - the cause of the exception

### ValueFormatException

    public ValueFormatException(Object value,
                                PropertyType targetType,
                                String message,
                                Throwable cause)

Parameters:
  `value` - the value that was not able to be converted
  `targetType` - the `PropertyType` to which the value was being converted
  `message` - the message
  `cause` - the cause of the exception

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getTargetType

    public PropertyType getTargetType()

  Get the `PropertyType` to which the `value` was being converted.

  Returns:
    the target type

### getValue

    public Object getValue()

  Get the original value that was being converted.

  Returns:
    the value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.